// pages/writeoff/index.js
const app = getApp();

Page({

    /**
     * 页面的初始数据
     */
    data: {
      height: app.globalData.height * 2 + 25,
      windowHeight: app.globalData.windowHeight,
      navbarData: {
        name: '核销餐券',
      },
    },
    back: function () {
      wx.switchTab({
        url: '/pages/my/index',
      });
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {

    },
    async toUse(){
      console.log(1)
      wx.scanCode({
        onlyFromCamera: true,
        scanType:['qrCode'],
        success: async (res)=> {
          console.log(res)
          const uri = res.result;
          const result = await app.$get(uri);
          if(result) wx.showToast({ title: '核销完成', icon: 'success' });
        },
        fail:async(e)=>{}
      })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})